B&R Remote Desktop Client

Allgemein

B&R stellt mit "B&R Remote Desktop Client" für Windows CE ein Werkzeug zur Verfügung, mit welchem Remotedesktopverbindungen zu einem "B&R Remote Desktop Server" auf einfache Weise parametriert werden kann.

Die Dokumentation bezieht sich auf den B&R Remote Desktop Clients für Windows CE mit der Version V01.10.
Die Clientsoftware kann auf B&R PowerPanels mit Windows CE 4.1 V1.5 und Windows CE 4.2 V2.1 verwendet werden.
Als Serversoftware wird die Version ab V01.10 empfohlen. Genauere Informationen entnehmen Sie bitte der Liesmich.txt von der Serversoftware!

Die Clientsoftware läuft in zwei unterschiedlichen Betriebsmodi:

Configuration Mode

Runtime Mode

In der unteren Statusleiste werden verschiede Statusmeldungen angezeigt.

Betrieb in einem Netzwerk ohne DHCP-Server

Wird der Client in einem Netzwerk ohne DHCP-Server betrieben, so muß für den Client eine fixe IP-Adresse definiert werden.
Informationen zum Definieren einer fixen IP-Adresse unter Windows CE finden Sie in
der B&R Windows CE Hife.

In diesem Abschnitt werden folgende Themen behandelt:

B&R Remote Desktop Client

Configuration Mode

Runtime Mode

Startseite

Nächstes Thema >>
Client Konfigurationsmenü


Configuration Mode

In diesem Abschnitt werden folgende Themen behandelt:

Configuration Mode

Client Konfigurationsmenü

Tab Remote

Tab Action

Tab Configure

Tab Performance

Tab Redirect

Tab Other

User Konfigurationsfile

<< Vorheriges Thema
B&R Remote Desktop Client

Startseite

Nächstes Thema >>
Client Konfigurationsmenü

Kapitelanfang


Client Konfigurationsmenü

Client Konfigrationsmenü

Nach dem Starten der Software erscheint nach dem Klicken auf den Menüpunkt Settings folgendes Menü:

Menüpunkt Configuration Mode

Nach Klicken auf Configuration Mode gelangt man zum folgenden Passworteingabedialog:

Per Default kann man Hier auf OK klicken.

Menüpunkt Save Configuration

Nach Klicken auf den Menüpunkt Save Configuration wird die Konfiguration gespeichert.

Sofern "Connect to Server" im Register Configure angewählt wurde wir in den Runtimemode gestartet.

Menüpunkt Set Default

Durch Klicken auf diesen Menüpunkt werden alle Eingabewerte auf den Defaultzustand gesetzt.

Menüpunkt Securtiy

Nach Klicken auf diesen Menüpunkt kann das Passwort für die Menübedienung definiert werden:

Menüpunkt Exit

Durch Klicken auf diesen Menüpunkt kann man das Programm nach Eingabe des Passwortes beenden.

<< Vorheriges Thema
Configuration Mode

Startseite

Nächstes Thema >>
Tab Remote


Tab Remote

Nach dem Klicken auf den Tab Remote bekommt man folgende Übersicht angezeigt:

Im Runtimemode müssen die Eingaben auf diesem Tab nicht getätigt werden. Diese werden vom Server an den Client automatisch übertragen.

Im Konfigurationsmodus kann der Remote Desktop Client als normaler RDP Client verwendet werden.
Sofern dies gewünscht ist, müssen folgende Eingaben getätigt werden:

Username

Hier muß der Username des Remotedesktopbenutzers eingegeben werden.

Password

Hier muß das Passwort des Remotedesktopbenutzers eingegeben werden.

Use Password

Wenn diese Checkbox angewählt ist, wird der Eintrag Password zum Anmelden an den Remotedesktopserver verwendet. Anderenfalls muß das Passwort im Anmeldedialog des Remotedesktopservers eingegeben werden.

Resolution

Hier kann die gewünschte Remote Desktopauflösung eingestellt werden.

Remote Desktop

Durch Klicken auf diesen Button wird eine Remote Desktopverbindung aufgebaut.

<< Vorheriges Thema
Client Konfigurationsmenü

Startseite

Nächstes Thema >>
Tab Action


Tab Action

Nach dem Klicken auf den Tab Action bekommt man folgende Übersicht angezeigt:

Clientname

Hier wird der Clientname des angezeigt.

Client-IP

Hier wird die IP-Adresse des Client angezeigt.

Version

Hier wird die Versionsnummer der Clientsoftware angezeigt.

On-Screen Keyboard

Durch Klicken auf diesen Button kann das On-Screen Keyboard ein- bzw. ausgeschaltet werden.

Restart

Diese Funktion steht im Konfigurationsmodus nicht zur Verfügung.

Turn Off

Diese Funktion steht im Konfigurationsmodus nicht zur Verfügung.

<< Vorheriges Thema
Tab Remote

Startseite

Nächstes Thema >>
Tab Configure


Tab Configure

Nach dem Klicken auf den Tab Configure bekommt man folgende Übersicht angezeigt:

Connect to Server

Wenn diese Checkbox angewählt wurde, wird nach Klicken auf den Menüpunkt "Save Configuration" automatisch in den Runtimemode gewechselt.

Server

Hier kann der Rechnername bzw. die TCP-IP Adresse vom "B&R RDP Server" eingegeben werden.

Falls eine Punkt zu Punkt Verbindung zum "B&R RDP Server" besteht, bzw. kein DHCP Server vorhanden ist, muß hier die TCP-IP Adresse des Servers eingegeben werden.

Port

Hier muß die idente Portnummer wie am B&R RDP Server eingeben werden.

<< Vorheriges Thema
Tab Action

Startseite

Nächstes Thema >>
Tab Performance


Tab Performance

Nach dem Klicken auf den Tab Performance bekommt man folgende Übersicht angezeigt:

Durch Anwählen der gewünschten Checkbox kann die entsprechende Performance Option angewählt werden.

<< Vorheriges Thema
Tab Configure

Startseite

Nächstes Thema >>
Tab Redirect


Tab Redirect

Nach dem Klicken auf den Tab Redirect bekommt man folgende Übersicht angezeigt:

Durch Anwählen der gewünschten Checkbox kann die entsprechende Redirection Option angewählt werden.

<< Vorheriges Thema
Tab Performance

Startseite

Nächstes Thema >>
Tab Other


Tab Other

Nach dem Klicken auf den Tab Other bekommt man folgende Übersicht angezeigt:

Durch Anwählen der gewünschten Checkbox kann die entsprechende Option angewählt werden.

<< Vorheriges Thema
Tab Redirect

Startseite

Nächstes Thema >>
User Konfigurationsfile


User Konfigurationsfile

Ab dieser Clientversion ist es für den Anwender möglich, anwenderspezifische Aktionen in einem eigenen Userkonfigurationsfile zu definieren.
Das Konfigurationsfile muß mit mit dem Namen User.cfg im Pfad "\Harddisk\Documents and Settings" angelegt werden.
Der Aufbau des Files einspricht dem eines Standard Windows Ini-File.

Fileaufbau

Folgende Einträge sind möglich:

[UserConfig]
TryConnectActionCnt=5
UserProcessName=\Windows\pword.exe

[UserConfig]

Dieser Eintrag muß immer vorhanden sein.

TryConnectActionCnt

Mit diesem Eintrag kann definiert werden, was nach <n> definierten Verbindungsfehlversuchen zum Server passieren soll.
Sofern "UserProcessName" definiert wurde wird nach <n> Fehlversuchen der Userprozeß gestartet, anderenfalls wird nach <n> Verbindungsfehlversuchen ein Restart des Clients durchgeführt.

Der Wert darf zwischen 0 und 50 sein.

UserProcessName

Nach Ablauf von "TryConnectActionCnt" wird der definierte Userprozeß gestartet.
Der Client wartet solange bis der Userprozeß beendet wird, und führt keine anderen Aktionen durch.

Wenn "UserProcessName" nicht definiert wird oder, das File zum Ausführen nicht vorhanden ist, wird nach "TryConnectActionCnt" ein Restart des Clients durchgeführt.

Wenn der Userprozeß beendet wird, wird erneut versucht eine Verbindung zum Server aufzubauen.
Ist nach Ablauf von "TryConnectActionCnt" noch immer keine Verbindung zum Server möglich, wird erneut der "UserProcessName" gestartet.

Das Starten eines Userprozesses steht nur auf Clients mit CE 4.2 zur Verfügung.
Auf CE 4.1 Clients wird immer ein Restart durchgeführt.

Das User Konfigurationsfile braucht nur angelegt werden, wenn userspezifische Aktionen gewünscht sind. Anderenfalls kann ein Anlegen entfallen!

<< Vorheriges Thema
Tab Other

Startseite

Nächstes Thema >>
Runtime Übersicht


Runtime Mode

In diesem Abschnitt werden folgende Themen behandelt:

Runtime Mode

Runtime Übersicht

<< Vorheriges Thema
User Konfigurationsfile

Startseite

Nächstes Thema >>
Runtime Übersicht


Runtime Übersicht

Wurde der Client im Runtimemodus gestartet so bekommt folgende Übersicht angezeigt:

Tab Remote

Im Runtimemode müssen die Eingaben auf diesem Tab nicht getätigt werden. Diese werden vom Server an den Client automatisch übertragen.

Username

Sofern mehrere Remote Desktopbenutzer am Server für den Remoteclient angelegt wurden, kann hier der Benutzer ausgewählt werden, mit welchem eine RDP-Verbindung aufgebaut werden soll.

Remote Desktop

Durch Klicken auf diesen Button wird eine Remote Desktopverbindung mit dem ausgewählten Usernamen aufgebaut.

Status Led

Das Status Led zeigt dem Benutzer folgende Verbindungszustände an:

Grün:

Kein anderer Client ist mit dem Server verbunden. Eine Remote Desktopverbindung vom Client zum Server ist erlaubt.

In der Statusleiste wird folgendes angezeigt:

Gelb:

Ein anderer Client ist mit dem Server verbunden. Der Name des aktuell verbunden Clients wird in Statusleiste angezeigt. Eine Remote Desktopverbindung vom Client zum Server ist erlaubt.

In der Statusleiste wird folgendes angezeigt:

Rot:

Der Server hat die Erlaubnis zum Verbinden über Remote Desktop gesperrt. Ob aktuell ein Client mit dem Server verbunden ist sieht man in der Statusleise. Der Remote Desktop Button kann nicht gedrückt werden, bis der Server die Remote Desktopverbindung wieder freigibt.

In der Statusleiste wird folgendes angezeigt:

Tab Action

On-Screen Keyboard

Durch Klicken auf diesen Button kann das On-Screen Keyboard ein- bzw. ausgeschaltet werden.

Restart

Wenn auf diesen Button gedrückt wird, führt der RDP-Server einen Restart durch.

Turn Off

Wenn auf diesen Button gedrückt wird, führt der RDP-Server einen Shutdown durch.

Runtime Menü

Wenn im Runtimemode auf das Menü Settings geklickt wird bekommt man folgende Anzeige:

Menüpunkt Configuration Mode

Nach Eingabe des richtigen Passwortes kann man in den Konfigurationsmode wechseln.

Menüpunkt Exit

Durch Klicken auf diesen Menüpunkt kann man das Programm nach Eingabe des Passwortes beenden.

Per Default wird nach 10 Verbindungsfehlversuchen zum Server ein Restart des Clients durchgeführt.
Wenn ein "User Konfigurationsfile" definiert wird, kann die Useraktion bzw. die Anzahl der Verbindungsfehlversuche wann die Useraktion durchgeführt werden soll, vom Anwender selbst definiert werden.

<< Vorheriges Thema
Runtime Mode

Startseite